# Class yii\web\BadRequestHttpException

Inheritance | yii\web\BadRequestHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/BadRequestHttpException.php

BadRequestHttpException represents a "Bad Request" HTTP exception with status code 400.

Use this exception to represent a generic client error. In many cases, there may be an HTTP exception that more precisely describes the error. In that case, consider using the more precise exception to provide the user with additional information.

See also https://tools.ietf.org/html/rfc7231#section-6.5.1.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\BadRequestHttpException
getName() |  | yii\web\HttpException

## Method Details

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, Exception $previous = null )
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.